import { html, ref, when } from '@microsoft/fast-element';
import { endSlotTemplate, startSlotTemplate } from '@microsoft/fast-foundation';
export const zeroStepperTabTemplate = (context, definition) => html `
  <template slot="tab" role="stepper-tab" aria-disabled="${(x) => x.disabled}">
    ${startSlotTemplate(context, definition)}
    <zero-tree-item ${ref('treeItem')} class="tree-item">
      ${when((x) => x.completed, html `
          <zero-icon
            name="check-circle"
            variant="regular"
            size="lg"
            class="completed-icon"
          ></zero-icon>
        `)}
      ${when((x) => x.error, html `
          <zero-icon name="times-circle" variant="regular" size="lg" class="error-icon"></zero-icon>
        `)}
      <slot></slot>
    </zero-tree-item>
    ${endSlotTemplate(context, definition)}
  </template>
`;
